<div [formGroup]="form">
  <h3>{{ "Economy.Market.SelectProduct" | translate }}</h3>
  <nz-form-control nzErrorTip='{{ "Politics.Laws.inputValuesTax" | translate }}'>
    <nz-input-group>
      <nz-select
        formControlName="productId"
        style="width: 100%; margin-bottom: 20px"
        [required]
      >
        <nz-option-group nzLabel='{{ "Economy.Items" | translate }}'>
          <nz-option
            *ngFor="let option of items"
            nzLabel="{{ 'Economy.' + option.symbol | translate }}"
            [nzValue]="option.id"
          ></nz-option>
        </nz-option-group>
        <nz-option-group nzLabel='{{ "Economy.Raws" | translate }}'>
          <nz-option
            *ngFor="let option of raws"
            nzLabel="{{ 'Economy.' + option.symbol | translate }}"
            [nzValue]="option.id"
          ></nz-option>
        </nz-option-group>
        <nz-option-group nzLabel='{{ "Economy.Construction.Constructions" | translate }}'>
          <nz-option
            *ngFor="let option of constructions"
            nzLabel="{{ 'Economy.' + option.symbol | translate }}"
            [nzValue]="option.id"
          ></nz-option>
        </nz-option-group>
      </nz-select>
      <div *ngIf="form.get('productId').value">
        <div nz-row nzGutter="16">
          <div nz-col nzSpan="10" style="text-align: right; padding-top: 3px">
            <nz-form-label>{{ "Economy.Market.Taxes.VAT" | translate }} (%): </nz-form-label>
          </div>
          <div nz-col nzSpan="10">
            <nz-input-number
              style="width: 100%"
              formControlName="vat"
              nz-input
            ></nz-input-number>
          </div>
        </div>
        <div nz-row nzGutter="16" style="margin-top: 5px">
          <div nz-col nzSpan="10" style="text-align: right; padding-top: 3px">
            <nz-form-label>{{ "Economy.Market.Taxes.IncomeTax" | translate }} (%): </nz-form-label>
          </div>
          <div nz-col nzSpan="10">
            <nz-input-number
              style="width: 100%"
              formControlName="incomeTax"
              nz-input
            ></nz-input-number>
          </div>
        </div>
        <div nz-row nzGutter="16" style="margin-top: 5px">
          <div nz-col nzSpan="10" style="text-align: right; padding-top: 3px">
            <nz-form-label>{{ "Economy.Market.Taxes.ImportTax" | translate }} (%): </nz-form-label>
          </div>
          <div nz-col nzSpan="10">
            <nz-input-number
              style="width: 100%"
              formControlName="importTax"
              nz-input
            ></nz-input-number>
          </div>
        </div>
        <div nz-row nzGutter="16" style="margin-top: 5px">
          <div nz-col nzSpan="10" style="text-align: right; padding-top: 3px">
            <nz-form-label>{{ "Economy.Market.Taxes.ExportTax" | translate }} (%): </nz-form-label>
          </div>
          <div nz-col nzSpan="10">
            <nz-input-number
              style="width: 100%"
              formControlName="exportTax"
              nz-input
            ></nz-input-number>
          </div>
        </div>
      </div>
    </nz-input-group>
  </nz-form-control>
</div>
